  nav{
    display: flex;
    padding: 2% 6%;
    justify-content: right;
    align-items: center;
  }
@media (max-width: 768px) {
  body {
    font-size: 16px;
  }

  .container {
    flex-direction: column;
  }
  nav {
    background-color: rgba(0, 0, 0, 0.5);
    padding: 5px;
    display: flex;
    padding: 2% 6%;
    justify-content: center;
    align-items: center;

  }
   .nav-links{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    text-align: center;
  }
  .nav-links ul li{
        list-style: none;
        display: inline-block;
        padding: 2px 8px;
        position: relative;
        
    }
    .nav-links ul li a{
        color: black;
        text-decoration: none;
        font-size: 13px;
    }
} ends here

  .nav-links{
    display: flex;
    text-align: right;
  }
    .nav-links ul li{
        list-style: none;
        display: inline-block;
        padding: 7px 12px;
        position: relative;
    }
    .nav-links ul li a{
        color: #fff;
        text-decoration: none;
        font-size: 13px;
    }
    .nav-links ul li::after{
        content: '';
        width: 0%;
        height: 2px;
        background: #0041C2;
        display: block;
        margin: auto;
    }
    .nav-links ul li:hover::after{
        width: 100%;
        transition: 0.5s;
    }
     
     .textcontainer{
      background: rgba(0, 0, 0, 0.5);
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      padding: 1rem;
      margin: 1rem;
      border-radius: 15px;
      
     }
     .links{
      text-decoration: none;
      color: #f3f3f3;
     }
    